Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class QueryMetaDataParser

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.solarmetric.meta.XMLMetaDataParser
                  |
                  +--com.solarmetric.meta.CFMetaDataParser
                        |
                        +--kodo.meta.QueryMetaDataParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, MetaDataParser

public class QueryMetaDataParser
extends CFMetaDataParser

Custom SAX parser used by the system to parse JDO metadata files for named queries.

Constructor Summary
`QueryMetaDataParser(JDOConfiguration conf)` Constructor.

Method Summary
`protected void` | `endClass(String className)`
`protected void` | `endClassElement(String name)`
`protected void` | `endFilter()`
`protected void` | `endJDOQL()`
`protected void` | `endQuery()`
`protected void` | `endResult()`
`protected void` | `endSQL()`
`protected void` | `finish()`
`protected Reader` | `getDocType()`
`protected String` | `getExpectedRootName()`
`protected String` | `getExtension()`
`QueryMetaDataRepository` | `getRepository()` Returns the repository for this parser.
`protected void` | `reset()`
`InputSource` | `resolveEntity(String pub, String sys)`
`void` | `setRepository(QueryMetaDataRepository repos)` Set the metadata repository for this parser.
`protected void` | `startClass(String className, Attributes attrs)`
`protected void` | `startClassElement(String name, Attributes attrs)`
`protected void` | `startDeclarations(Attributes attrs)`
`protected void` | `startQuery(Attributes attrs)`
`protected void` | `startResult(Attributes attrs)`

Methods inherited from class com.solarmetric.meta.CFMetaDataParser
`classForName, classForName, endElement, getDeclaredClass, getDeclaredPackage, startElement`

Methods inherited from class com.solarmetric.meta.XMLMetaDataParser
`addResult, characters, clear, currentClassLoader, endElement, error, fatalError, findMetaData, getClassLoader, getCurrentLocation, getLexicalHandler, getLocation, getLog, getParseText, getResults, getSourceFile, getSourceIsSystemId, getSourceName, getText, isValidating, parse, parse, parse, parse, parseNew, setClassLoader, setDocumentLocator, setLocation, setLog, setParseText, setSourceIsSystemId, setValidating, startElement, throwException, throwException`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryMetaDataParser

    public QueryMetaDataParser(JDOConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getRepository

    public QueryMetaDataRepository getRepository()

  Returns the repository for this parser. If none has been set, creates a new repository and sets it.

### setRepository

    public void setRepository(QueryMetaDataRepository repos)

  Set the metadata repository for this parser.

### finish

    protected void finish()

  Overrides:
    `finish` in class `XMLMetaDataParser`

### getExtension

    protected String getExtension()

  Overrides:
    `getExtension` in class `XMLMetaDataParser`

### getExpectedRootName

    protected String getExpectedRootName()

  Overrides:
    `getExpectedRootName` in class `XMLMetaDataParser`

### reset

    protected void reset()

  Overrides:
    `reset` in class `CFMetaDataParser`

### getDocType

    protected Reader getDocType()
                         throws IOException

  Overrides:
    `getDocType` in class `XMLMetaDataParser`

### startClass

    protected void startClass(String className,
                              Attributes attrs)
                       throws SAXException

  Overrides:
    `startClass` in class `CFMetaDataParser`

### endClass

    protected void endClass(String className)

  Overrides:
    `endClass` in class `CFMetaDataParser`

### startClassElement

    protected void startClassElement(String name,
                                     Attributes attrs)
                              throws SAXException

  Overrides:
    `startClassElement` in class `CFMetaDataParser`

### endClassElement

    protected void endClassElement(String name)
                            throws SAXException

  Overrides:
    `endClassElement` in class `CFMetaDataParser`

### startQuery

    protected void startQuery(Attributes attrs)
                       throws SAXException

### endQuery

    protected void endQuery()

### startDeclarations

    protected void startDeclarations(Attributes attrs)
                              throws SAXException

### startResult

    protected void startResult(Attributes attrs)
                        throws SAXException

### endResult

    protected void endResult()

### endFilter

    protected void endFilter()
                      throws SAXException

### endSQL

    protected void endSQL()
                   throws SAXException

### endJDOQL

    protected void endJDOQL()
                     throws SAXException

### resolveEntity

    public InputSource resolveEntity(String pub,
                                     String sys)
                              throws SAXException

  Overrides:
    `resolveEntity` in class `DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.